#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
using SlimDX;
#endregion usings

namespace VVVV.Nodes
{
	#region PluginInfo
	[PluginInfo(Name = "OrthoLH", Category = "Transform", Help = "Basic template with one transform in/out", Tags = "matrix")]
	#endregion PluginInfo
	public class TransformOrthoLHNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("FNear")]
		public ISpread<float> FNear;
		
		[Input("FFar")]
		public ISpread<float> FFar;

		[Output("Output")]
		public ISpread<Matrix> output;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			this.output[0] = Matrix.OrthoLH(2.0f,2.0f,FNear[0],FFar[0]);
		}
	}
}
